#!/bin/bash
OS_INFO_FILE=$1
if [ "$1" == "" ]; then
	OS_INFO_FILE=/etc/issue
fi

function setupAL_SLES()
{
	config_path=/etc/sysconfig/displaymanager
	cp $config_path $config_path.bak
	sed -i 's/DISPLAYMANAGER_AUTOLOGIN=".*"/DISPLAYMANAGER_AUTOLOGIN="root"/g' $config_path
}

function setupAL_RHEL5()
{
	inittab_path=/etc/inittab
	bash_profile_path=/root/.bash_profile	
	cp $inittab_path $inittab_path.bak
	cp $bash_profile_path $bash_profile_path.bak
	sed -i -e 's/id:5:init/id:3:init/g' -e 's/\/sbin\/mingetty tty1/\/sbin\/mingetty --autologin root tty1/g' $inittab_path
	sed -i -e '/$DISPLAY/,/fi/d' -e '/startx/d' $bash_profile_path
	start_x_str='\nif [ -z "$DISPLAY" ] && [ "$(tty)" = "/dev/tty1" ]; then\n       startx\nfi'
	echo -e $start_x_str >> $bash_profile_path
}

function setupAL_RHEL6()
{
	config_path=/etc/gdm/custom.conf
	cp $config_path $config_path.bak
	sed -i -e '/^AutomaticLogin.*=.*/d' -e 's/\[daemon\]/\[daemon\]\nAutomaticLoginEnable=True\nAutomaticLogin=root/g' $config_path
}

if grep SUSE $OS_INFO_FILE > /dev/null; then
	setupAL_SLES
elif grep -e "\(CentOS\)\|\(Red Hat\).*5\.*" $OS_INFO_FILE > /dev/null; then
	setupAL_RHEL5
elif grep -e "\(CentOS\)\|\(Red Hat\).*6\.*" $OS_INFO_FILE > /dev/null; then
	setupAL_RHEL6
else 
	echo Not support on \"`cat "$OS_INFO_FILE"`\". Please setup autologin by yourself.
fi
